# filesrc

Read data from a file in the local file system.

## Example launch line

     gst-launch-1.0 filesrc location=song.ogg ! decodebin ! audioconvert ! audioresample ! autoaudiosink

Play song.ogg audio file which must be in the current working directory.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──filesrc

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Erik Walthinsen <omega@cse.ogi.edu></omega@cse.ogi.edu>

Classification: – `Source/File`

Rank – primary

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### location

    “location” gchararray

Location of the file to read

Flags : Read / Write

Default value : NULL

The results of the search are